Page MenuHomePhabricator

Check PPI leftovers - awight
Closed, ResolvedPublic3 Story Points

Description

Adam Wight (awight) is currently being off-boarded. Please check if they left stuff in their home dirs on stat*/notebook*/HDFS since they where part of:

  • statistics-privatedata-users grants access to Hadoop/Hive, check PII leftovers
  • researchers grants access to Hadoop/Hive, check PII leftovers
  • statistics-users grants access to Hadoop/Hive, check PII leftovers
  • analytics-privatedata-users grants access to Hadoop/Hive, check PII leftovers

The user is remaining as a volunteer and has signed the NDA

Related Objects

StatusAssignedTask
Resolvedjbond
Resolvedjbond
Resolvedelukey

Event Timeline

jbond created this task.Apr 8 2019, 12:24 PM
jbond triaged this task as Medium priority.Apr 8 2019, 12:27 PM
jbond updated the task description. (Show Details)

@jbond IIUC Adam will keep working with us as volunteer, not sure if we need to follow up with this task. What do you think?

jbond added a comment.Apr 8 2019, 12:52 PM

@elukey he is remaining as a volunteer so i agree this probably doesn't need an action. however im not familiar enough with HDFS/PPI stuff to know if there is a difference between the WMF and NDA groups. so thought i would raise this ticket to check. If you are confident then please close the ticket and i will know for next time :)

elukey added a comment.Apr 8 2019, 1:07 PM

I am not sure either, let's check anyway :)

@awight is any of the following needed and/or containing PII data that we can remove?

====== stat1004 ======
total 4
drwxrwxr-x 3 awight wikidev 4096 Dec 19 19:38 ores-split-hadoop
ls: cannot access '/var/userarchive/awight.tar.bz2': No such file or directory

====== stat1006 ======
total 18716
-rw-r--r--  1 awight wikidev     2216 Apr 24  2018 0001-Fix-command-line-syntax.patch
-rw-rw-r--  1 awight wikidev    10902 Jul 31  2017 a
drwxrwxr-x 13 awight wikidev     4096 Apr 18  2018 articlequality
-rw-rw-r--  1 awight wikidev     7301 Jul 31  2017 b
-rw-rw-r--  1 awight wikidev 19114645 Aug  1  2017 c
drwxrwxr-x 11 awight wikidev     4096 Jun 12  2018 draftquality
drwxrwxr-x 13 awight wikidev     4096 Aug  6  2018 editquality
-rw-rw-r--  1 awight wikidev     1915 Aug  1  2017 fiwiki.sql
drwxr-xr-x  3 awight wikidev     4096 Sep  2  2015 nltk_data
drwxrwxr-x  6 awight wikidev     4096 Apr 17  2018 venv
ls: cannot access '/var/userarchive/awight.tar.bz2': No such file or directory

====== stat1007 ======
total 32
-rw-rw-r--  1 awight wikidev 7948 Jan  8 22:14 0001-squash-dumps.patch
-rw-rw-r--  1 awight wikidev 4107 Jan 10 09:34 a
drwxrwxr-x 10 awight wikidev 4096 Jan 10 19:00 analytics-refinery
drwxrwxr-x  7 awight wikidev 4096 Jan  8 20:26 analytics-refinery.git
-rw-rw-r--  1 awight wikidev   85 Dec 21  2016 notes
drwxrwxr-x  2 awight wikidev 4096 Jan  8 20:29 old
ls: cannot access '/var/userarchive/awight.tar.bz2': No such file or directory

====== notebook1003 ======
total 0
ls: cannot access '/var/userarchive/awight.tar.bz2': No such file or directory

====== notebook1004 ======
total 4
drwxr-xr-x 7 awight wikidev 4096 Jul  5  2018 venv
ls: cannot access '/var/userarchive/awight.tar.bz2': No such file or directory

======= HDFS ========
Picked up JAVA_TOOL_OPTIONS: -Dfile.encoding=UTF-8
Found 7 items
drwx------   - awight awight          0 2019-02-10 00:00 /user/awight/.Trash
drwx------   - awight awight          0 2019-04-03 03:18 /user/awight/.staging
drwxr-xr-x   - awight awight          0 2019-01-08 23:45 /user/awight/event
drwxr-xr-x   - awight awight          0 2019-01-10 18:36 /user/awight/oozie
drwxr-xr-x   - awight awight          0 2019-04-03 03:18 /user/awight/oozie-oozi
drwxr-xr-x   - awight awight          0 2019-01-10 17:59 /user/awight/ores
drwxr-xr-x   - awight awight          0 2019-01-08 23:05 /user/awight/wmf
fdans moved this task from Incoming to Ops Week on the Analytics board.Apr 11 2019, 4:47 PM

Thanks for asking! Everything in those home directories can be safely deleted.

elukey closed this task as Resolved.Apr 15 2019, 6:28 AM
elukey claimed this task.
elukey set the point value for this task to 3.

All removed thanks!